RDKit: RDKit::FragCatParams Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::FragCatParams Class Reference

container for user parameters used to create a fragment catalog More...

`#include <FragCatParams.h>`

Inheritance diagram for RDKit::FragCatParams:

## Public Member Functions
| FragCatParams ()
| FragCatParams (unsigned int lLen, unsigned int uLen, const std::string &fgroupFile, double tol=1e-08)
| construct from a function-group file More...
| FragCatParams (const FragCatParams &other)
| copy constructor More...
| FragCatParams (const std::string &pickle)
| construct from a pickle string (serialized representation) More...
| ~FragCatParams ()
unsigned int | getLowerFragLength () const
| returns our lower fragment length More...
void | setLowerFragLength (unsigned int lFrLen)
| sets our lower fragment length More...
unsigned int | getUpperFragLength () const
| returns our upper fragment length More...
void | setUpperFragLength (unsigned int uFrLen)
| sets our upper fragment length More...
double | getTolerance () const
| returns our fragment-comparison tolerance More...
void | setTolerance (double val)
| sets our fragment-comparison tolerance More...
unsigned int | getNumFuncGroups () const
| returns our number of functional groups More...
const MOL_SPTR_VECT & | getFuncGroups () const
| returns our std::vector of functional groups More...
const ROMol * | getFuncGroup (unsigned int fid) const
| returns a pointer to a specific functional group More...
void | toStream (std::ostream &) const
| serializes (pickles) to a stream More...
std::string | Serialize () const
| returns a string with a serialized (pickled) representation More...
void | initFromStream (std::istream &ss)
| initializes from a stream pickle More...
void | initFromString (const std::string &text)
| initializes from a string pickle More...
Public Member Functions inherited from RDCatalog::CatalogParams
virtual | ~CatalogParams ()=0
std::string | getTypeStr () const
| returns our type string More...
void | setTypeStr (const std::string &typeStr)
| sets our type string More...

## Additional Inherited Members
Protected Attributes inherited from RDCatalog::CatalogParams
std::string | d_typeStr
| our type string More...

## Detailed Description

container for user parameters used to create a fragment catalog

Definition at line 23 of file FragCatParams.h.

## Constructor & Destructor Documentation

RDKit::FragCatParams::FragCatParams | ( |  | ) |
| inline

Definition at line 27 of file FragCatParams.h.

References RDCatalog::CatalogParams::d_typeStr, RDKit::EnumerationStrategyPickler::pickle(), and ~FragCatParams().

RDKit::FragCatParams::FragCatParams | ( | unsigned int | lLen,
|  | unsigned int | uLen,
|  | const std::string & | fgroupFile,
|  | double | tol = `1e-08`
| ) |  |

construct from a function-group file

Parameters

  lLen | the lower limit on fragment size
  uLen | the upper limit on fragment size
  fgroupFile | the name of the function-group file
  tol | (optional) the eigenvalue tolerance to be used when comparing fragments

RDKit::FragCatParams::FragCatParams | ( | const FragCatParams & | other | ) |

copy constructor

RDKit::FragCatParams::FragCatParams | ( | const std::string & | pickle | ) |

construct from a pickle string (serialized representation)

RDKit::FragCatParams::~FragCatParams | ( |  | ) |

Referenced by FragCatParams().

## Member Function Documentation

const ROMol* RDKit::FragCatParams::getFuncGroup | ( | unsigned int | fid | ) | const

returns a pointer to a specific functional group

Referenced by getNumFuncGroups().

const MOL_SPTR_VECT& RDKit::FragCatParams::getFuncGroups | ( |  | ) | const

returns our std::vector of functional groups

Referenced by getNumFuncGroups().

unsigned int RDKit::FragCatParams::getLowerFragLength | ( |  | ) | const
| inline

returns our lower fragment length

Definition at line 52 of file FragCatParams.h.

unsigned int RDKit::FragCatParams::getNumFuncGroups | ( |  | ) | const
| inline

returns our number of functional groups

Definition at line 67 of file FragCatParams.h.

References getFuncGroup(), getFuncGroups(), initFromStream(), initFromString(), Serialize(), and toStream().

double RDKit::FragCatParams::getTolerance | ( |  | ) | const
| inline

returns our fragment-comparison tolerance

Definition at line 62 of file FragCatParams.h.

unsigned int RDKit::FragCatParams::getUpperFragLength | ( |  | ) | const
| inline

returns our upper fragment length

Definition at line 57 of file FragCatParams.h.

void RDKit::FragCatParams::initFromStream | ( | std::istream & | ss | ) |
| virtual

initializes from a stream pickle

Implements RDCatalog::CatalogParams.

Referenced by getNumFuncGroups().

void RDKit::FragCatParams::initFromString | ( | const std::string & | text | ) |
| virtual

initializes from a string pickle

Implements RDCatalog::CatalogParams.

Referenced by getNumFuncGroups().

std::string RDKit::FragCatParams::Serialize | ( |  | ) | const
| virtual

returns a string with a serialized (pickled) representation

Implements RDCatalog::CatalogParams.

Referenced by getNumFuncGroups().

void RDKit::FragCatParams::setLowerFragLength | ( | unsigned int | lFrLen | ) |
| inline

sets our lower fragment length

Definition at line 54 of file FragCatParams.h.

void RDKit::FragCatParams::setTolerance | ( | double | val | ) |
| inline

sets our fragment-comparison tolerance

Definition at line 64 of file FragCatParams.h.

void RDKit::FragCatParams::setUpperFragLength | ( | unsigned int | uFrLen | ) |
| inline

sets our upper fragment length

Definition at line 59 of file FragCatParams.h.

void RDKit::FragCatParams::toStream | ( | std::ostream & |  | ) | const
| virtual

serializes (pickles) to a stream

Implements RDCatalog::CatalogParams.

Referenced by getNumFuncGroups().

The documentation for this class was generated from the following file:

- FragCatParams.h